> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shimli.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Insert Contact

> # Adding a contact to a specific list

# Adding a contact to a specific list

\**Important: ID\_WHATSAPP must contain the following structure "COUNTY\_CODE" + "PHONE\_NUMBER" example 14243962506*

In the value object, you need to send all the fields you want to enter the list

`POST` `/v1/contact`

## Body

```json theme={null}
{
  "token": "TOKEN_SHIMLI",
  "idList": "ID_LIST",
  "values": {
    "phone": "ID_WHATSAPP",
    "name": "NAME"
  }
}
```

## Autenticacion

Este endpoint requiere tu token de API. Incluyelo en el body como `token` o como query param `token`/`api-token`. Ve [Autenticacion](/getting-started/authentication) para mas detalles.

## Ejemplo de request

```bash theme={null}
curl -X POST https://api.shimli.app/v1/contact \
  -H "Content-Type: application/json" \
  -d '{
    "token": "TOKEN_SHIMLI",
    "idList": "ID_LIST",
    "values": {
        "phone": "ID_WHATSAPP",
        "name": "NAME"
    }
}'
```

## Respuesta

```json title="200 OK" theme={null}
{
  "statusCode": 200,
  "body": {
    "err": false
  }
}
```
